<?xml version="1.0" encoding="UTF-8"?>
<module external.linked.project.id=":app" external.linked.project.path="$MODULE_DIR$" external.root.project.path="$MODULE_DIR$/.." external.system.id="GRADLE" type="JAVA_MODULE" version="4">
  <component name="FacetManager">
    <facet type="android-gradle" name="Android-Gradle">
      <configuration>
        <option name="GRADLE_PROJECT_PATH" value=":app" />
      </configuration>
    </facet>
    <facet type="native-android-gradle" name="Native-Android-Gradle">
      <configuration>
        <option name="SELECTED_BUILD_VARIANT" value="debug" />
      </configuration>
    </facet>
    <facet type="android" name="Android">
      <configuration>
        <option name="SELECTED_BUILD_VARIANT" value="release" />
        <option name="ASSEMBLE_TASK_NAME" value="assembleRelease" />
        <option name="COMPILE_JAVA_TASK_NAME" value="compileReleaseSources" />
        <afterSyncTasks>
          <task>generateReleaseSources</task>
        </afterSyncTasks>
        <option name="ALLOW_USER_CONFIGURATION" value="false" />
        <option name="MANIFEST_FILE_RELATIVE_PATH" value="/src/main/AndroidManifest.xml" />
        <option name="RES_FOLDER_RELATIVE_PATH" value="/src/main/res" />
        <option name="RES_FOLDERS_RELATIVE_PATH" value="file://$MODULE_DIR$/src/main/res" />
        <option name="ASSETS_FOLDER_RELATIVE_PATH" value="/src/main/assets" />
      </configuration>
    </facet>
  </component>
  <component name="NewModuleRootManager" LANGUAGE_LEVEL="JDK_1_7">
    <output url="file://$MODULE_DIR$/build/intermediates/javac/release/compileReleaseJavaWithJavac/classes" />
    <output-test url="file://$MODULE_DIR$/build/intermediates/javac/releaseUnitTest/compileReleaseUnitTestJavaWithJavac/classes" />
    <exclude-output />
    <content url="file://$MODULE_DIR$">
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_mixer/external/libogg-1.3.2/src" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/hidapi/android" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/atomic" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/audio" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/audio/android" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/audio/dummy" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/core/android" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/cpuinfo" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/dynapi" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/events" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/file" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/filesystem/android" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/haptic" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/haptic/android" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/joystick" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/joystick/android" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/joystick/hidapi" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/loadso/dlopen" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/power" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/power/android" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/render" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/render/direct3d" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/render/direct3d11" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/render/opengl" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/render/opengles" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/render/opengles2" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/render/psp" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/render/software" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/sensor" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/sensor/android" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/stdlib" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/test" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/thread" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/thread/pthread" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/timer" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/timer/unix" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/video" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/video/android" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2/src/video/yuv2rgb" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_mixer" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_mixer/external/libvorbisidec-1.2.1" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/lua" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_image" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_image/external/libpng-1.6.32/arm" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_image/external/libpng-1.6.32" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/autofit" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/base" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/bdf" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/bzip2" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/cache" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/cff" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/cid" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/gzip" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/lzw" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/pcf" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/pfr" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/psaux" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/pshinter" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/psnames" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/raster" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/sfnt" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/smooth" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/tools" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/truetype" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/type1" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/type42" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni/SDL2_ttf/external/freetype-2.4.12/src/winfonts" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/build/generated/source/apt/release" isTestSource="false" generated="true" />
      <sourceFolder url="file://$MODULE_DIR$/build/generated/not_namespaced_r_class_sources/release/processReleaseResources/r" isTestSource="false" generated="true" />
      <sourceFolder url="file://$MODULE_DIR$/build/generated/source/aidl/release" isTestSource="false" generated="true" />
      <sourceFolder url="file://$MODULE_DIR$/build/generated/source/buildConfig/release" isTestSource="false" generated="true" />
      <sourceFolder url="file://$MODULE_DIR$/build/generated/source/rs/release" isTestSource="false" generated="true" />
      <sourceFolder url="file://$MODULE_DIR$/build/generated/res/rs/release" type="java-resource" />
      <sourceFolder url="file://$MODULE_DIR$/build/generated/res/resValues/release" type="java-resource" />
      <sourceFolder url="file://$MODULE_DIR$/build/generated/source/apt/test/release" isTestSource="true" generated="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/release/res" type="java-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/release/resources" type="java-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/release/assets" type="java-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/release/aidl" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/release/java" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/release/jni" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/release/rs" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/release/shaders" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/testRelease/res" type="java-test-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/testRelease/resources" type="java-test-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/testRelease/assets" type="java-test-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/testRelease/aidl" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/testRelease/java" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/testRelease/jni" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/testRelease/rs" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/testRelease/shaders" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/res" type="java-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/resources" type="java-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/assets" type="java-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/aidl" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/java" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/jni" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/rs" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/shaders" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/androidTest/res" type="java-test-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/androidTest/resources" type="java-test-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/androidTest/assets" type="java-test-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/androidTest/aidl" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/androidTest/java" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/androidTest/jni" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/androidTest/rs" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/androidTest/shaders" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/test/res" type="java-test-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/test/resources" type="java-test-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/test/assets" type="java-test-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/test/aidl" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/test/java" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/test/jni" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/test/rs" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/test/shaders" isTestSource="true" />
      <excludeFolder url="file://$MODULE_DIR$/.externalNativeBuild" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/annotation_processor_list" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/apk_list" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/blame" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/build-info" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/builds" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/check-libraries" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/check-manifest" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/checkDebugClasspath" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/checkReleaseClasspath" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/compatible_screen_manifest" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/incremental" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/incremental-classes" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/incremental-runtime-classes" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/incremental-verifier" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/instant-run-apk" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/instant_run_main_apk_resources" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/instant_run_merged_manifests" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/instant_run_split_apk_resources" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/javac" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/jniLibs" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/linked_res_for_bundle" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/manifest-checker" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/merged_assets" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/merged_manifests" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/module_bundle" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/ndkBuild" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/prebuild" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/processed_res" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/reload-dex" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/res" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/resources" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/rs" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/shader_assets" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/shaders" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/split-apk" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/split_list" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/symbols" />
      <excludeFolder url="file://$MODULE_DIR$/build/intermediates/transforms" />
      <excludeFolder url="file://$MODULE_DIR$/build/outputs" />
      <excludeFolder url="file://$MODULE_DIR$/build/reports" />
      <excludeFolder url="file://$MODULE_DIR$/build/tmp" />
    </content>
    <content url="file://$MODULE_DIR$/../../src">
      <sourceFolder url="file://$MODULE_DIR$/../../src" isTestSource="false" />
    </content>
    <orderEntry type="jdk" jdkName="Android API 27 Platform" jdkType="Android SDK" />
    <orderEntry type="sourceFolder" forTests="false" />
  </component>
</module>